Bug 537641 - DHCPD buffer overflow
DHCPD buffer overflow
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
12
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Jiri Popelka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-15 07:05 EST by Sander Vermin
Modified: 2009-12-11 14:35 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-11 14:35:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log with console output (8.79 KB, text/plain)
2009-11-15 07:05 EST, Sander Vermin
no flags Details

  None (edit)
Description Sander Vermin 2009-11-15 07:05:20 EST
Created attachment 369572 [details]
Log with console output

Description of problem:

DHCPD crashes at startup, reporting a buffer overflow. Tested with versions dhcp-4.1.0p1-12.fc12 and dhcp-4.1.0p1-13.fc12 and different config setups

Version-Release number of selected component (if applicable):
dhcp-4.1.0p1-12.fc12
dhcp-4.1.0p1-13.fc12

How reproducible:
start dhcpd


Steps to Reproduce:
1. pick a config
2. start dhcpd
3. see crash
  
Actual results:
erro

Expected results:
working dhcp server

Additional info:

my config file consists of:
subnet 192.168.1.0 netmask 255.255.255.0 {
    range 192.168.1.10 192.168.1.20;
}
Comment 1 Jiri Popelka 2009-11-23 10:03:02 EST
Sorry for the delay.
I need you to run dhcpd with valgrind.

1) install dhcp-debuginfo package like this:
   yum --enablerepo=updates-debuginfo install dhcp-debuginfo
2) install valgrind:
   yum install valgrind
3) run dhcpd with valgrind:
   valgrind -v --tool=memcheck --log-file=valgrind.log dhcpd -d
4) Perform any actions necessary to reproduce the crash.
5) Attach valgrind.log to this bug report

Thanks
Comment 2 Sander Vermin 2009-12-11 14:34:36 EST
I can't reproduce the bug, so something weird has happened.

so => Closed

Note You need to log in before you can comment on or make changes to this bug.